Package com.independentsoft.office.drawing.tableStyles

# Class NorthwestCell

java.lang.Object
com.independentsoft.office.drawing.tableStyles.NorthwestCell

public class NorthwestCell extends Object
The Class NorthwestCell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NorthwestCell()`
  Instantiates a new northwest cell.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NorthwestCell`
  `clone()`
  `TableCellStyle`
  `getTableCellStyle()`
  Gets the table cell style.
  `TableCellTextStyle`
  `getTableCellTextStyle()`
  Gets the table cell text style.
  `void`
  `setTableCellStyle​(TableCellStyle tableCellStyle)`
  Sets the table cell style.
  `void`
  `setTableCellTextStyle​(TableCellTextStyle tableCellTextStyle)`
  Sets the table cell text style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NorthwestCell

    public NorthwestCell()
    Instantiates a new northwest cell.

- ## Method Details

  - ### clone

    public NorthwestCell clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getTableCellStyle

    public TableCellStyle getTableCellStyle()
    Gets the table cell style.
    Returns:
      the table cell style

  - ### setTableCellStyle

    public void setTableCellStyle​(TableCellStyle tableCellStyle)
    Sets the table cell style.
    Parameters:
      `tableCellStyle` - the new table cell style

  - ### getTableCellTextStyle

    public TableCellTextStyle getTableCellTextStyle()
    Gets the table cell text style.
    Returns:
      the table cell text style

  - ### setTableCellTextStyle

    public void setTableCellTextStyle​(TableCellTextStyle tableCellTextStyle)
    Sets the table cell text style.
    Parameters:
      `tableCellTextStyle` - the new table cell text style